Go to the latest version of this document.

# ``twisted`.`internet`.`interfaces`.`IStreamClientEndpoint``

interface documentation

`class IStreamClientEndpoint(Interface): (source)`

Known implementations: `twisted.conch.endpoints.SSHCommandClientEndpoint`, `twisted.internet.endpoints.HostnameEndpoint`, `twisted.internet.endpoints.ProcessEndpoint`, `twisted.internet.endpoints.SSL4ClientEndpoint`, `twisted.internet.endpoints.TCP4ClientEndpoint`, `twisted.internet.endpoints.TCP6ClientEndpoint`, `twisted.internet.endpoints.UNIXClientEndpoint`, `twisted.internet.endpoints._WrapperEndpoint`

View In Hierarchy

A stream client endpoint is a place that `ClientFactory` can connect to. For example, a remote TCP host/port pair would be a TCP client endpoint.

Present Since
10.1

Method | `connect` | Connect the `protocolFactory` to the location specified by this `IStreamClientEndpoint` provider.

def connect(protocolFactory: `IProtocolFactory`) -> `Deferred[IProtocol]`: (source)

Connect the `protocolFactory` to the location specified by this `IStreamClientEndpoint` provider.

Parameters
protocolFactory:`IProtocolFactory` | A provider of `IProtocolFactory`

Returns
`Deferred[IProtocol]` | A `Deferred` that results in an `IProtocol` upon successful connection otherwise a `Failure` wrapping `ConnectError` or `NoProtocol`.